> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/checklist-items/put-task-checklist-item-by-task-id-and-checklist-item-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Updates a checklist item for a task. PUT https://api.awork.com/api/v1/tasks/{taskId}/checklistitems/{checklistItemId} Content-Type: application/json Updates a checklist item for a task. The submitted item fields are stored on the checklist item. The required permissions depend on the base type of the task. If the task is a project task, the user must have either `project-master-data:write` permissions or be assigned to the task. For a user's private task, no special permissions are required. Reference: https://developers.awork.com/apiv1/checklist-items/put-task-checklist-item-by-task-id-and-checklist-item-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `taskId` (string, required) — The id of the task. - `checklistItemId` (string, required) — The id of the checklist item. ### Body (application/json) This endpoint expects a ChecklistItemForm. - `name` (string, required) — The name of the checklist item. - `isDone` (boolean, optional) — Whether the checklist item is done. - `order` (double, optional, nullable) — The order of the checklist item. ## Response ### 200 OK - `name` (string, required) — The name of the checklist item. - `isDone` (boolean, optional) — Whether the checklist item is done. - `order` (double, optional, nullable) — The order of the checklist item. - `id` (string, optional) — The id of the checklist item. - `createdOn` (string, optional) — The date this checklist item was created. - `createdBy` (string, optional) — The id of the user who created this checklist item. - `updatedOn` (string, optional) — The date this checklist item was last modified. - `updatedBy` (string, optional) — The id of the user who last modified this checklist item. - `taskId` (string, optional) — The id of the task this checklist item belongs to. ## Errors ### 401 Unauthorized Error Unauthorized - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ### 404 Not Found Error Not Found - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ## Types ### ValidationErrorResponse The validation error response. - `property` (string, optional, nullable) — The name of the property that failed validation. - `message` (string, optional, nullable) — The reason why this property failed validation. ## Examples **Request** ```json { "name": "Create YouTube Ads" } ``` **Response** ```json { "name": "Create YouTube Ads", "isDone": true, "order": 4, "id": "123e4567-e89b-12d3-a456-426614174000", "createdOn": "2021-03-12T11:00:00Z", "createdBy": "123e4567-e89b-12d3-a456-426614174000", "updatedOn": "2021-03-14T11:31:00Z", "updatedBy": "123e4567-e89b-12d3-a456-426614174000", "taskId": "123e4567-e89b-12d3-a456-426614174000" } ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/tasks/taskId/checklistitems/checklistItemId" payload = { "name": "Create YouTube Ads" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/tasks/taskId/checklistitems/checklistItemId'; const options = { method: 'PUT', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"name":"Create YouTube Ads"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/tasks/taskId/checklistitems/checklistItemId" payload := strings.NewReader("{\n \"name\": \"Create YouTube Ads\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/tasks/taskId/checklistitems/checklistItemId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"Create YouTube Ads\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.awork.com/api/v1/tasks/taskId/checklistitems/checklistItemId") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"name\": \"Create YouTube Ads\"\n}") .asString(); ``` ```php request('PUT', 'https://api.awork.com/api/v1/tasks/taskId/checklistitems/checklistItemId', [ 'body' => '{ "name": "Create YouTube Ads" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/tasks/taskId/checklistitems/checklistItemId"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"Create YouTube Ads\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["name": "Create YouTube Ads"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/tasks/taskId/checklistitems/checklistItemId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```